/* UsiFe FileSystem
----------------
Copyright (2012): Rohan Sharma and Saurabh Kumar

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

CONTACT: 
Rohan Sharma : rickyrohan14@gmail.com
Saurabh Kumar : saurabh.catch@gmail.com
Smruti R. Sarangi : srsarangi@cse.iitd.ac.in
*/
#include "fuse_include.h" 
#include "do_destroy.h"

void do_destroy (void *userdata)
{
	errcode_t rc;
	ext2_filsys e2fs = (ext2_filsys)current_ext2fs();
	Word_t   Rc_word;
        ext2fs_flush (e2fs);
  
	DEBUG_PRINTF("Closing....\n");
	rc = ext2fs_close(e2fs);
        /*
         * Free up JUDY array
         */
	DEBUG_PRINTF("Freeing Judy array....\n");
        JLFA(Rc_word,PJLArray)

	if (rc) {
		DEBUG_PRINTF("Error while trying to close ext2 filesystem");
	}
	e2fs = NULL;
}
