/* UsiFe FileSystem
----------------
Copyright (2012): Rohan Sharma and Saurabh Kumar

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

CONTACT: 
Rohan Sharma : rickyrohan14@gmail.com
Saurabh Kumar : saurabh.catch@gmail.com
Smruti R. Sarangi : srsarangi@cse.iitd.ac.in
*/
#include "fuse_include.h" 
#include "do_release.h"


int do_release2(ext2_file_t efile)

{
 int rt;
 
 rt=ext2fs_file_close (efile);
 
    if (rt != 0) {
         DEBUG_PRINTF("do_release2() failed\n");
         return rt;
	         }

	return 0;


}


int do_release(const char *path, struct fuse_file_info *fi)

{
 int rt;
 ext2_file_t efile = (void *) (unsigned long) fi->fh;

 rt=ext2fs_file_close (efile);
 
 if (rt != 0) {
   DEBUG_PRINTF("do_release() failed\n");
   return rt;
	}

	return 0;


}


