/* UsiFe FileSystem
----------------
Copyright (2012): Rohan Sharma and Saurabh Kumar

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

CONTACT: 
Rohan Sharma : rickyrohan14@gmail.com
Saurabh Kumar : saurabh.catch@gmail.com
Smruti R. Sarangi : srsarangi@cse.iitd.ac.in
*/
/* 
 * This function is used to change encryption and read mode per file(per inode).
 * name="Enc"  , Value=1  ===>Turns encryption on for file.
 * name="Enc"  , Value=0  ===>Turns encryption off for file.
 * name="Read" , Value=0  ===>Changes read mode to 1.(See do_read.c for detailed documentation)
 * name="Read" , Value=1  ===>Changes read mode to 2.
 * name="Read" , Value=2  ===>Changes read mode to 3.
 * name="Read" , Value=3  ===>Changes read mode to 4.
 */
int do_setxattr(const char* path, const char* name, const char* value, size_t size, int flags);


int do_getxattr(const char* path, const char* name, char* value, size_t size);


