/* UsiFe FileSystem
----------------
Copyright (2012): Rohan Sharma and Saurabh Kumar

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

CONTACT: 
Rohan Sharma : rickyrohan14@gmail.com
Saurabh Kumar : saurabh.catch@gmail.com
Smruti R. Sarangi : srsarangi@cse.iitd.ac.in
*/
#include "fuse_include.h" 
#include "gui.h"

/**
 * FUNCTIONS required by gtk user interface
 */

void set_enc( GtkWidget *widget,gpointer   data )
{
    
    GtkSpinButton  *spinner=(GtkSpinButton  *)(data); 
    e_p=gtk_spin_button_get_value (spinner);

    DEBUG_PRINTF("%f\n",e_p);
}


void switch_enc( GtkWidget *widget,
                   gpointer   data )
{
    char *str;
    if(e1==1)
        {e1=0;
         str="Encryption OFF"; 
        }
    else
        {e1=1;
         str="Encryption ON";  
         }

    GtkLabel *label=(GtkLabel *)(data); 
    gtk_label_set_text(label,str);
}

void switch_mode( GtkWidget *widget,gpointer   data )
{
    
   mode=*((int *)(data));    

}

gboolean close_application( GtkWidget *widget,  GdkEvent  *event,gpointer   data )
{
  	gtk_main_quit ();
  	return FALSE;
}



void dump_acl( GtkWidget *widget,gpointer   pointer )
{
        char *str="/test";
       
        ext2_ino_t ino;
	struct ext2_inode inode;
	ext2_filsys e2fs = ext_fs;

        DEBUG_PRINTF("entered dump\n\n");

        int rt;
        
        rt = do_readinode(e2fs, str, &ino, &inode);
	if (rt) {
		DEBUG_PRINTF("do_readinode (%s); failed\n", str);
		return;
	}
        blk_t ret;
        
	int acl_block=inode.i_file_acl;
        char data[4096];
        memset(data,0,4096); 
        
        io_channel_read_blk(e2fs->io,acl_block,  //function for reading directly from physical block on disk
				 1, data); 
        short index;
        memcpy(&index,data,2);
        int a;
        short b,c;
        int i=0,j=1;

        for(i=0;i<index;i++)
        {
          if(i==511){
            j++;
            DEBUG_PRINTF("Loading next block\n");
            memcpy(&a,data+4092,4);
            acl_block=a;
            
            io_channel_read_blk(e2fs->io,acl_block,  //function for reading directly from physical block on disk
				 1, data); 
            memcpy(&index,data,2);
            i=0;
          }
          memcpy(&a,data+2+i*8,4);
          memcpy(&b,data+2+i*8+4,2);
          memcpy(&c,data+2+i*8+6,2);
          DEBUG_PRINTF("Dumping  %d %d %d %d BLOCK %d %d\n",a,b,c,index,j,acl_block);
            

        }
           
        DEBUG_PRINTF("Exiting\n\n");   
}

